Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ddlutils.model
Class JdbcTypeCategoryEnum

    java.lang.Object
      org.apache.commons.lang.enums.Enum
          org.apache.commons.lang.enums.ValuedEnum
              org.apache.ddlutils.model.JdbcTypeCategoryEnum

All Implemented Interfaces:
  Serializable, Comparable

    public class JdbcTypeCategoryEnum

extends ValuedEnum

Represents the different categories of jdbc types.

Version:
  $Revision: $
See Also:
  Serialized Form

Field Summary
`static JdbcTypeCategoryEnum` | `BINARY` The enum value for binary jdbc types.
`static JdbcTypeCategoryEnum` | `DATETIME` The enum value for date/time jdbc types.
`static JdbcTypeCategoryEnum` | `NUMERIC` The enum value for numeric jdbc types.
`static JdbcTypeCategoryEnum` | `OTHER` The enum value for other jdbc types.
`static JdbcTypeCategoryEnum` | `SPECIAL` The enum value for special jdbc types.
`static JdbcTypeCategoryEnum` | `TEXTUAL` The enum value for textual jdbc types.
`static int` | `VALUE_BINARY` The integer value for the enum value for binary jdbc types.
`static int` | `VALUE_DATETIME` The integer value for the enum value for date/time jdbc types.
`static int` | `VALUE_NUMERIC` The integer value for the enum value for numeric jdbc types.
`static int` | `VALUE_OTHER` The integer value for the enum value for all other jdbc types.
`static int` | `VALUE_SPECIAL` The integer value for the enum value for special jdbc types.
`static int` | `VALUE_TEXTUAL` The integer value for the enum value for textual jdbc types.

Fields inherited from class org.apache.commons.lang.enums.Enum
`iToString`

Method Summary
`static JdbcTypeCategoryEnum` | `getEnum(int intValue)` Returns the enum value that corresponds to the given integer representation.
`static JdbcTypeCategoryEnum` | `getEnum(String defaultTextRep)` Returns the enum value that corresponds to the given textual representation.
`static List` | `getEnumList()` Returns a list of all enum values.
`static Map` | `getEnumMap()` Returns the map of enum values.
`static Iterator` | `iterator()` Returns an iterator of all enum values.

Methods inherited from class org.apache.commons.lang.enums.ValuedEnum
`compareTo, getEnum, getValue, toString`

Methods inherited from class org.apache.commons.lang.enums.Enum
`equals, getEnum, getEnumClass, getEnumList, getEnumMap, getName, hashCode, iterator, readResolve`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### VALUE_NUMERIC

    public static final int VALUE_NUMERIC

  The integer value for the enum value for numeric jdbc types.

  See Also:
    Constant Field Values

### VALUE_DATETIME

    public static final int VALUE_DATETIME

  The integer value for the enum value for date/time jdbc types.

  See Also:
    Constant Field Values

### VALUE_TEXTUAL

    public static final int VALUE_TEXTUAL

  The integer value for the enum value for textual jdbc types.

  See Also:
    Constant Field Values

### VALUE_BINARY

    public static final int VALUE_BINARY

  The integer value for the enum value for binary jdbc types.

  See Also:
    Constant Field Values

### VALUE_SPECIAL

    public static final int VALUE_SPECIAL

  The integer value for the enum value for special jdbc types.

  See Also:
    Constant Field Values

### VALUE_OTHER

    public static final int VALUE_OTHER

  The integer value for the enum value for all other jdbc types.

  See Also:
    Constant Field Values

### NUMERIC

    public static final JdbcTypeCategoryEnum NUMERIC

  The enum value for numeric jdbc types.

### DATETIME

    public static final JdbcTypeCategoryEnum DATETIME

  The enum value for date/time jdbc types.

### TEXTUAL

    public static final JdbcTypeCategoryEnum TEXTUAL

  The enum value for textual jdbc types.

### BINARY

    public static final JdbcTypeCategoryEnum BINARY

  The enum value for binary jdbc types.

### SPECIAL

    public static final JdbcTypeCategoryEnum SPECIAL

  The enum value for special jdbc types.

### OTHER

    public static final JdbcTypeCategoryEnum OTHER

  The enum value for other jdbc types.

Method Detail

### getEnum

    public static JdbcTypeCategoryEnum getEnum(String defaultTextRep)

  Returns the enum value that corresponds to the given textual representation.

  Parameters:
    `defaultTextRep` - The textual representation
  Returns:
    The enum value

### getEnum

    public static JdbcTypeCategoryEnum getEnum(int intValue)

  Returns the enum value that corresponds to the given integer representation.

  Parameters:
    `intValue` - The integer value
  Returns:
    The enum value

### getEnumMap

    public static Map getEnumMap()

  Returns the map of enum values.

  Returns:
    The map of enum values

### getEnumList

    public static List getEnumList()

  Returns a list of all enum values.

  Returns:
    The list of enum values

### iterator

    public static Iterator iterator()

  Returns an iterator of all enum values.

  Returns:
    The iterator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.